Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

shift and CRTL trick

3 REPLIES 3
Reply
Message 1 of 4
cadking2k5
810 Views, 3 Replies

shift and CRTL trick

how do you make it so if you hold shift down it change to something else like in trim and extend command if you hold the shift key down in the trim command autocad will start extending or the CTRL KEY if you hold it down in the arc command it draws the arc in the other direction
3 REPLIES 3
Message 2 of 4
hmsilva
in reply to: cadking2k5

If you have Express Tools...

(defun c:test (/ p1 p2)
  (alert "Press shift down to draw a circle, or \ndon't press shift down to draw a line")
  (if (and (setq p1 (getpoint "\nSelect the first point: "))
	   (setq p2 (getpoint "\nSelect the second point: "))
      );; and
      (if (acet-sys-shift-down)
	(command "_.circle" "none" p1 "none" p2)
	(command "_.line" "none" p1 "none" p2 "")
      );; if
  );; if
  (princ)
)

;; and to control (acet-sys-control-down) 

HTH

Henrique

EESignature

Message 3 of 4
cadking2k5
in reply to: hmsilva

why won't it work with the angdir command (setq pt3 (getpoint pt2 "\nPick next Point or [Undo/Close]:")) (if (acet-sys-control-down) (command "'angdir" 1) )
Message 4 of 4
hmsilva
in reply to: cadking2k5

(if (acet-sys-control-down)
(setvar 'ANGDIR 1)
)

 

or

 

(if (acet-sys-control-down)
(command "angdir" 1)
)

Henrique

EESignature

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost